
.miam-uploader {
  display: flex;
  position: relative;
  justify-content: flex-end;
  flex-direction: column;
  height: 300px;
  width: 330px;
  margin: 20px auto;
  border: 1px dashed var(--m-color-light-slate);
  border-radius: var(--m-border-radius);
  align-items: center;
  transition: background-color 0.5s ease;
  
  &:hover {
    cursor: pointer;
    background-color: var(--m-color-primary-light);
    opacity: 0.8;
  }
  
  &.dragover-mode {
    background-color: var(--m-color-primary-light);
    opacity: 0.8;
  }

  &.image-container-mode{
    border: none;
    height: 300px;
  }

  figure {
    width: 100%;
    overflow: hidden;
    border-radius: var(--m-border-radius);
    margin: 0;
    img {
      display: block;
      height: 300px;
      width: 100%;
      object-fit: cover;
    }
  }

  .miam-uploader__drop__overlay {
    position: absolute;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.1) 50.52%, rgba(32, 32, 32, 0.85) 84.37%);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
  }

  .miam-uploader__default__photo {
    position: absolute;
    z-index: 2;
    color: var(--m-color-white);
    bottom: 32px;
    left: 40px;
    right: 40px;
    font-size: 16px;
    text-align: center;
  }

  input {
    display: none;
  }

  .m-button-secondary {
    position: absolute;
    z-index: 2;
    margin-bottom: 110px;
  }
}

